Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1055126 - Review Request: nfdump - NetFlow collecting and processing tools
Summary: Review Request: nfdump - NetFlow collecting and processing tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 00:21 UTC by Denis Fateyev
Modified: 2014-07-01 11:59 UTC (History)
2 users (show)

Fixed In Version: nfdump-1.6.11-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-07 14:45:08 UTC
Type: ---
Embargoed:
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Denis Fateyev 2014-01-19 00:21:29 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora19/testing/nfdump.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/nfdump-1.6.10p1-1.fc19.denf.src.rpm
Description: Nfdump is a set of tools to collect and process NetFlow data. It's fast and has a powerful filter pcap like syntax. It supports NetFlow versions v1, v5, v7, v9 and IPFIX as well as a limited set of sflow. It includes support for CISCO ASA (NSEL) and CISCO NAT (NEL) devices which export event logging records as v9 flows. Nfdump is fully IPv6 compatible.
Fedora Account System Username: dfateyev

Rawhide scratch builds for this package are available here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6425736 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=6425768 (EPEL 5)

Comment 1 Christopher Meng 2014-01-20 03:25:31 UTC
Not the latest version.

BTW for el5, a hint:

%{?el5:BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root}

Comment 2 Denis Fateyev 2014-01-21 05:46:33 UTC
I was a bit concerned about its portable nature (`1.6.10` is widely tested). But checked the `1.6.11`, and seems everything's fine, so I've bumped the version.

Spec URL: http://www.fateyev.com/RPMS/Fedora19/testing/nfdump.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/nfdump-1.6.11-1.fc19.denf.src.rpm

Comment 3 Christopher Meng 2014-01-21 06:48:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "BSD (3 clause) ISC", "GPL (v2)",
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck:

BSD (2 clause)
--------------
nfdump-1.6.11/bin/parse_csv.pl
nfdump-1.6.11/bin/rbtree.h

BSD (3 clause)
--------------
nfdump-1.6.11/CreateSubHierarchy.pl
nfdump-1.6.11/bin/applybits_inline.c
nfdump-1.6.11/bin/bookkeeper.c
nfdump-1.6.11/bin/bookkeeper.h
nfdump-1.6.11/bin/collector.c
nfdump-1.6.11/bin/collector.h
nfdump-1.6.11/bin/collector_inline.c
nfdump-1.6.11/bin/content_dns.c
nfdump-1.6.11/bin/content_dns.h
nfdump-1.6.11/bin/expire.c
nfdump-1.6.11/bin/expire.h
nfdump-1.6.11/bin/exporter.c
nfdump-1.6.11/bin/exporter.h
nfdump-1.6.11/bin/flist.c
nfdump-1.6.11/bin/flist.h
nfdump-1.6.11/bin/flowtree.c
nfdump-1.6.11/bin/flowtree.h
nfdump-1.6.11/bin/ft2nfdump.c
nfdump-1.6.11/bin/fts_compat.c
nfdump-1.6.11/bin/fts_compat.h
nfdump-1.6.11/bin/heapsort_inline.c
nfdump-1.6.11/bin/inline.c
nfdump-1.6.11/bin/ipfix.c
nfdump-1.6.11/bin/ipfix.h
nfdump-1.6.11/bin/launch.c
nfdump-1.6.11/bin/launch.h
nfdump-1.6.11/bin/netflow_pcap.c
nfdump-1.6.11/bin/netflow_pcap.h
nfdump-1.6.11/bin/netflow_v1.c
nfdump-1.6.11/bin/netflow_v1.h
nfdump-1.6.11/bin/netflow_v5_v7.c
nfdump-1.6.11/bin/netflow_v5_v7.h
nfdump-1.6.11/bin/netflow_v9.c
nfdump-1.6.11/bin/netflow_v9.h
nfdump-1.6.11/bin/nf_common.c
nfdump-1.6.11/bin/nf_common.h
nfdump-1.6.11/bin/nfanon.c
nfdump-1.6.11/bin/nfcapd.c
nfdump-1.6.11/bin/nfdump.c
nfdump-1.6.11/bin/nfdump.h
nfdump-1.6.11/bin/nfdump_inline.c
nfdump-1.6.11/bin/nfexpire.c
nfdump-1.6.11/bin/nfexport.c
nfdump-1.6.11/bin/nfexport.h
nfdump-1.6.11/bin/nffile.c
nfdump-1.6.11/bin/nffile.h
nfdump-1.6.11/bin/nffile_inline.c
nfdump-1.6.11/bin/nfgen.c
nfdump-1.6.11/bin/nflowcache.c
nfdump-1.6.11/bin/nflowcache.h
nfdump-1.6.11/bin/nfnet.c
nfdump-1.6.11/bin/nfnet.h
nfdump-1.6.11/bin/nfpcapd.c
nfdump-1.6.11/bin/nfprof.c
nfdump-1.6.11/bin/nfprof.h
nfdump-1.6.11/bin/nfprofile.c
nfdump-1.6.11/bin/nfreader.c
nfdump-1.6.11/bin/nfreplay.c
nfdump-1.6.11/bin/nfstat.c
nfdump-1.6.11/bin/nfstat.h
nfdump-1.6.11/bin/nfstatfile.c
nfdump-1.6.11/bin/nfstatfile.h
nfdump-1.6.11/bin/nftest.c
nfdump-1.6.11/bin/nftree.c
nfdump-1.6.11/bin/nftree.h
nfdump-1.6.11/bin/nfx.c
nfdump-1.6.11/bin/nfx.h
nfdump-1.6.11/bin/nfxstat.c
nfdump-1.6.11/bin/nfxstat.h
nfdump-1.6.11/bin/panonymizer.c
nfdump-1.6.11/bin/panonymizer.h
nfdump-1.6.11/bin/pcap_reader.c
nfdump-1.6.11/bin/pcap_reader.h
nfdump-1.6.11/bin/pcaproc.c
nfdump-1.6.11/bin/pcaproc.h
nfdump-1.6.11/bin/profile.c
nfdump-1.6.11/bin/profile.h
nfdump-1.6.11/bin/rijndael.c
nfdump-1.6.11/bin/rijndael.h
nfdump-1.6.11/bin/sfcapd.c
nfdump-1.6.11/bin/sflow.c
nfdump-1.6.11/bin/sflow.h
nfdump-1.6.11/bin/sflow_proto.h
nfdump-1.6.11/bin/test.sh
nfdump-1.6.11/bin/util.c
nfdump-1.6.11/bin/util.h
nfdump-1.6.11/extra/PortTracker.pm
nfdump-1.6.11/extra/nftrack/nftrack.c
nfdump-1.6.11/non-dist/test.sh

BSD (3 clause) ISC
------------------
nfdump-1.6.11/bin/ipconv.c

GPL (v2)
--------
nfdump-1.6.11/bin/lzoconf.h
nfdump-1.6.11/bin/lzodefs.h
nfdump-1.6.11/bin/minilzo.c
nfdump-1.6.11/bin/minilzo.h

Unknown or generated
--------------------
nfdump-1.6.11/bin/ipconv.h
nfdump-1.6.11/extra/nftrack/nftrack_rrd.c
nfdump-1.6.11/extra/nftrack/nftrack_rrd.h
nfdump-1.6.11/extra/nftrack/nftrack_stat.c
nfdump-1.6.11/extra/nftrack/nftrack_stat.h

[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://sourceforge.net/projects/nfdump/nfdump-1.6.11.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nfdump-1.6.11-1.fc21.i686.rpm
          nfdump-1.6.11-1.fc21.src.rpm
nfdump.i686: W: spelling-error %description -l en_US pcap -> pap, cap, p cap
nfdump.i686: W: spelling-error %description -l en_US sflow -> slow, flow, flows
nfdump.i686: E: missing-call-to-setgroups /usr/sbin/nfcapd
nfdump.i686: W: manual-page-warning /usr/share/man/man1/nfdump.1.gz 1174: warning: macro `b' not defined
nfdump.src: W: spelling-error %description -l en_US pcap -> pap, cap, p cap
nfdump.src: W: spelling-error %description -l en_US sflow -> slow, flow, flows
nfdump.src: W: invalid-url Source0: http://sourceforge.net/projects/nfdump/nfdump-1.6.11.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nfdump
nfdump.i686: W: spelling-error %description -l en_US pcap -> pap, cap, p cap
nfdump.i686: W: spelling-error %description -l en_US sflow -> slow, flow, flows
nfdump.i686: E: missing-call-to-setgroups /usr/sbin/nfcapd
nfdump.i686: W: manual-page-warning /usr/share/man/man1/nfdump.1.gz 1174: warning: macro `b' not defined
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nfdump (rpmlib, GLIBC filtered):
    libc.so.6
    libresolv.so.2
    rtld(GNU_HASH)



Provides
--------
nfdump:
    nfdump
    nfdump(x86-32)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn nfdump-1.6.11-1.fc19.denf.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
1. Please explain clearly those sources with different licenses. You need to get in touch with upstream IMO.

2. Please tell me why you didn't use standard make install?

Comment 4 Denis Fateyev 2014-02-05 13:29:20 UTC
Updated spec: http://www.fateyev.com/RPMS/Fedora20/testing/nfdump.spec
Fedora 20 SRPM: http://www.fateyev.com/RPMS/Fedora20/testing/SRPMS/nfdump-1.6.11-1.fc20.denf.src.rpm

1) I have added GPLv2 to licenses, and as for "nftrack"-related files, they are under BSD license;

2) You're right; now they work with "make install" properly. I experienced some issues with previous versions there;

Also, the package spec is cleaned up, some new configure options added.

Koji scratch builds:

https://koji.fedoraproject.org/koji/taskinfo?taskID=6494037 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=6494048 (EPEL 6)
https://koji.fedoraproject.org/koji/taskinfo?taskID=6494044 (EPEL 5)

Comment 5 Christopher Meng 2014-02-07 03:59:58 UTC
PACKAGE APPROVED.

Comment 6 Denis Fateyev 2014-02-07 12:51:39 UTC
New Package SCM Request
=======================
Package Name: nfdump
Short Description: NetFlow collecting and processing tools
Owners: dfateyev
Branches: f19 f20 el5 el6
InitialCC:

Comment 7 Gwyn Ciesla 2014-02-07 14:26:24 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-02-07 15:32:41 UTC
nfdump-1.6.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nfdump-1.6.11-1.fc20

Comment 9 Fedora Update System 2014-02-07 15:34:42 UTC
nfdump-1.6.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nfdump-1.6.11-1.fc19

Comment 10 Fedora Update System 2014-02-07 15:36:25 UTC
nfdump-1.6.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nfdump-1.6.11-1.el6

Comment 11 Fedora Update System 2014-02-07 15:37:29 UTC
nfdump-1.6.11-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/nfdump-1.6.11-1.el5

Comment 12 Fedora Update System 2014-02-22 00:40:03 UTC
nfdump-1.6.11-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-02-22 00:49:51 UTC
nfdump-1.6.11-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-02-24 05:58:51 UTC
nfdump-1.6.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2014-02-24 05:59:59 UTC
nfdump-1.6.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 16 Denis Fateyev 2014-06-30 22:36:13 UTC
Package Change Request
======================
Package Name: nfdump
New Branches: epel7
Owners: dfateyev

Comment 17 Gwyn Ciesla 2014-07-01 11:59:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.